Bug 644899 - Review Request: python-pywt - Python wavelet transforms module
Summary: Review Request: python-pywt - Python wavelet transforms module
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chen Lei
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-20 15:08 UTC by Howard Ning
Modified: 2015-11-26 22:05 UTC (History)
3 users (show)

Fixed In Version: python-pywt-0.2.0-3.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-03 20:39:55 UTC
supercyper1: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1278685 None None None Never

Internal Links: 1278685

Description Howard Ning 2010-10-20 15:08:57 UTC
Spec URL: http://helloworld1.fedorapeople.org/python-PyWavelets.spec
SRPM URL: http://helloworld1.fedorapeople.org/python-PyWavelets-0.2.0-1.fc14.src.rpm
Description: 
PyWavelets is a Python wavelet transforms module that includes:
* 1D and 2D Forward and Inverse Discrete Wavelet Transform (DWT and IDWT)
* 1D and 2D Stationary Wavelet Transform (Undecimated Wavelet Transform)
* 1D and 2D Wavelet Packet decomposition and reconstruction
* Computing Approximations of wavelet and scaling functions
* Over seventy built-in wavelet filters and support for custom wavelets
* Single and double precision calculations
* Results compatibility with Matlab Wavelet Toolbox (tm)

Comment 1 Howard Ning 2010-10-23 02:12:57 UTC
Koji build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=2546097

Comment 2 Chen Lei 2010-11-17 06:27:27 UTC
several issues:
1.
Name:		python-PyWavelets
->
Name:		python-pywt

See http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Addon_Packages_.28python_modules.29

2.
BuildRequires:	python-setuptools is useless for this package.

Comment 3 Howard Ning 2010-11-17 14:18:42 UTC
I think pywavelets is a better name for it

Comment 6 Chen Lei 2010-11-19 09:19:24 UTC
Approved!

Comment 7 Howard Ning 2010-11-19 12:36:05 UTC
New Package SCM Request
=======================
Package Name: python-pywt
Short Description: Python wavelet transforms module
Owners: helloworld1
Branches: f13 f14 el6
InitialCC:

Comment 8 Jason Tibbitts 2010-11-22 13:55:48 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2010-11-24 21:00:29 UTC
python-pywt-0.2.0-3.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/python-pywt-0.2.0-3.fc13

Comment 10 Fedora Update System 2010-11-24 21:01:57 UTC
python-pywt-0.2.0-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/python-pywt-0.2.0-3.fc14

Comment 11 Fedora Update System 2010-11-26 01:06:42 UTC
python-pywt-0.2.0-3.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-pywt'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/python-pywt-0.2.0-3.fc13

Comment 12 Fedora Update System 2010-12-03 20:39:49 UTC
python-pywt-0.2.0-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2010-12-03 20:40:45 UTC
python-pywt-0.2.0-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.